#Module-Specific definitions
%define mod_name mod_evasive
%define mod_conf A11_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Evasive Maneuvers Module for the apache web server
Name:		apache-%{mod_name}
Version:	1.10.1
Release:	%mkrel 6
Group:		System/Servers
License:	Apache License
URL:		http://www.zdziarski.com/projects/mod_evasive/
Source0: 	http://www.zdziarski.com/projects/mod_evasive/%{mod_name}_%{version}.tar.gz
Source1:	%{mod_conf}
Patch0:		mod_evasive-small_fix.diff
Requires:	mailx
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A module for apache giving Apache the ability to fend off
request-based DoS attacks conserving your system resources and
bandwidth. This new tool maintains an internal table of IP
addresses and URLs and will deny repeated requests for the same
URL from the same IP address, blacklisting the address for
10-seconds per extraneous request. Obviously, this module will
not fend off attacks consuming all available bandwidth or more
resources than are available to send 403's, but is very successful
in typical flood attacks or cgi flood attacks. 

%prep

%setup -q -n mod_evasive
%patch0 -p0

rm -rf .libs
rm -f %{mod_name}.c
mv %{mod_name}20.c %{mod_name}.c

cp %{SOURCE1} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
%{_sbindir}/apxs -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*




%changelog
* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.10.1-6mdv2008.0
+ Revision: 82573
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.10.1-5mdv2007.1
+ Revision: 140673
- rebuild

* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.10.1-4mdv2007.1
+ Revision: 140507
- new url

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.10.1-3mdv2007.0
+ Revision: 79418
- Import apache-mod_evasive

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.10.1-3mdv2007.0
- rebuild

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.10.1-2mdk
- rebuilt against apache-2.2.0

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.10.1-1mdk
- fix versioning

* Mon Oct 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.10.1-1mdk
- 1.10.1
- renamed to mod_evasive

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.10-2mdk
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.10-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.10-4mdk
- use the %%mkrel 1

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.10-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.10-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.10-1mdk
- rebuilt for apache 2.0.53

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.10-1mdk
- 1.10
- updated S1

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.9-1mdk
- built for apache 2.0.52

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_1.9-1mdk
- built for apache 2.0.51

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.9-1mdk
- built for apache 2.0.50
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_1.9-1mdk
- built for apache 2.0.49

